//主要- 获取相对日期
function getRelativetDate(type,clock,num,current){
	var currentDate;
	var tempDate;	
	if(type == 'day'){
		//几点 昨日 ---------- 按日
		if(current){ //相对时间戳
			currentDate = new Date(current).format('Y-m-d').replace(/-/g, '/')
		   
		}else{ //相对当前日期
			currentDate = new Date().format('Y-m-d').replace(/-/g, '/')
		}
	   
		if(clock !== ''){
			tempDate = new Date(currentDate +" "+ clock +":00:00").getTime()
		}else{
			tempDate = new Date(currentDate).getTime()
		}
	
	}else if(type == 'week'){
		//多了几天  --------按周
		
		var moreDay = (new Date().getDay() - 0 )
		currentDate = new Date(
			new Date().getTime() - moreDay * 24 * 60 * 60 * 1000
		).format('Y-m-d').replace(/-/g, '/')
		tempDate = new Date(currentDate+" "+clock+":00:00").getTime()
	} else if(type == 'month'){
	
	  //按月
		//当前时间
		if(current){ //相对时间戳
			var currentDate = new Date(current).format('Y-m-d H:i:s').replace(/-/g, '/')
		}else{ //相对当前日期
			var currentDate = new Date().format('Y-m-d H:i:s').replace(/-/g, '/')
		}
		var currentMonthDate = new Date(currentDate).getTime()
		if(current){ //相对时间戳
			var currentDates = new Date(current).format('Y-m-'+getNum(num)+'').replace(/-/g, '/')
		}else{ //相对当前日期
			var currentDates = new Date().format('Y-m-'+getNum(num)+'').replace(/-/g, '/')
		}
	   
		var tempMonthDate = new Date(currentDates +" "+ clock +":00:00").getTime()
	 
		//2/1 > 
		var str = new Date(currentMonthDate).format('Y-m-d')
		//当前日期 》 当月29号 出去闰年
		//返回上个月
		//否则上上月
		if(currentMonthDate > tempMonthDate){
			var tempDate =new Date(getPreMonthDay(str)).format('Y-m')
			return tempDate
		}else{
			var tempDate =new Date(getPreMonthDay(str)).format('Y-m-d')
			var t = new Date(getPreMonthDay(tempDate)).format('Y-m')
			return t
		}

	}
	//返回相对日期
	var lastDate = ''
	if(current){
		lastDate = new Date(current).getTime()
	}else{
		lastDate = new Date().getTime()
	}
	
	if( lastDate> tempDate){
		//大于(09:00) 查上一天
		//大于周二 查上周
		
		return new Date(
			lastDate - num * 24 * 60 * 60 * 1000
		).format('Y-m-d')
	}else{
		if(current){ //传入相对日期
			return new Date(
				lastDate - num * 24 * 60 * 60 * 1000
			).format('Y-m-d')
		}else{
			return new Date(
				lastDate - (num+num) * 24 * 60 * 60 * 1000
			).format('Y-m-d')
		}
	 
	}
}
//获取上个月
function getPreMonthDay(date) {
	var arr = date.split('-');
	var year = arr[0];     //当前年
	var month = arr[1];      //当前月
	var day = arr[2];        //当前日
	//验证日期格式为Y-m-d
	var reg = date.match(/^[0-9]{4}-[0-9]{1,2}-[0-9]{1,2}$/);
	if ((!reg) || (month > 12) || (day > 31)) {
		console.log('日期或格式有误！请输入正确的日期格式（年-月-日）');
		return;
	}

	var pre_year = year;     //前一个月的年
	var pre_month = parseInt(month) - 1;      //前一个月的月，以下几行是上月数值特殊处理
	if (pre_month === 0) {
		pre_year = parseInt(pre_year) - 1;
		pre_month = 12;
	}
	var pre_day = parseInt(day);       //前一个月的日，以下几行是特殊处理前一个月总天数
	var pre_month_alldays = new Date(pre_year, pre_month, 0).getDate();    //巧妙处理，返回某个月的总天数
	if (pre_day > pre_month_alldays) {
		pre_day = pre_month_alldays;
	}
	if (pre_month < 10) {   //补0
		pre_month = '0' + pre_month;
	}
	if (pre_day < 10) {   //补0
		pre_day = '0' + pre_day;
	}
	var pre_month_day = pre_year + '-' + pre_month + '-' + pre_day;
	return  new Date(pre_month_day);
}

//获取当前周的最后一天
//AddWeekCount：0 为当前周  1为下一周   -1为上一周    
//date：任意时间   
function getWeekStartAndEnd(AddWeekCount,date) {
  //一天的毫秒数
  var millisecond = 1000 * 60 * 60 * 24;
  //获取时间
  var currentDate = date;
  //相对于任意日期AddWeekCount个周的日期
  currentDate = new Date(currentDate.getTime() + (millisecond * 7*AddWeekCount));
  //返回date是一周中的某一天
  var week = currentDate.getDay();
  //返回date是一个月中的某一天
  var month = currentDate.getDate();
  // //从周几开始计算
  var weekNumber = 1
  if( week < weekNumber){
	  var minusDay = 7-(weekNumber - week)
  }else{
	  var minusDay = week - weekNumber
  }
  //获得周的第一天
  var currentWeekFirstDay = new Date(currentDate.getTime() - (millisecond * minusDay));
  //获得周的最后一天
  var currentWeekLastDay = new Date(currentWeekFirstDay.getTime() + (millisecond * 6));
	return currentWeekLastDay
}
 //判断是否为闰年
var is_leap = function(year){
	return (year%100==0?res=(year%400==0?1:0):res=(year%4==0?1:0));
}
function getYearWeek(year,month,day){
	//获取月份天数数组
	var m_days=[31,28+is_leap(year),31,30,31,30,31,31,30,31,30,31];

	var newtonowday=0;
	for(var i=0;i<month;i++){
		newtonowday += m_days[i];
	}
	newtonowday += day;
	//获取当年第一天是周几
	var newyear_week=(new Date(year,0,1)).getDay();
	var fdaynothisy=false;
	//新年到周第一天的总天数
	if(newyear_week < 5){
		//新年第一天算年内第一周[周四在本年]
		newtonowday += newyear_week;
		if(newyear_week==0 && m_days[2]==29){
			fdaynothisy=true;
		}
	}else{
		//新年第一天是上年最后一周
		fdaynothisy=true;
		newtonowday -= (8-newyear_week);
	}
  
	var weeknum_result = Math.ceil(newtonowday/7);
	var weekyear=year;
   
	if(weeknum_result==0){
		var beforeyear_fweek=(new Date(weekyear-1,0,1)).getDay();
		if(beforeyear_fweek<5 && beforeyear_fweek>1 && fdaynothisy){
			weeknum_result=53;
		}else{
			weeknum_result=52;
		}
		weekyear--;
	}else if(weeknum_result>52){
		var year_lweek=(new Date(year,11,31)).getDay();
		if(year_lweek > 3 && newyear_week < 5){
			weeknum_result=53;
		}else{
			weekyear++;
			weeknum_result=1;
		}
	}
   
  
	// var week = weekyear + ' 第 ' +getNum(weeknum_result) + ' 周'
	var week = getNum(weeknum_result)
	return week;
}
function getNum(num){
   return  num<10 ? num = '0'+num : num;
}
//设置周格式为  周日 + 周数
function setweekStyle(nowData){

	var choiceData = new Date(nowData).format('Y-m-d');
	// weekVal = new Date(choiceData)
	var arr = [choiceData.split('-')[0], choiceData.split('-')[1], choiceData.split('-')[2]]
	
	//获取当前周的最后一天
	var currentWeekEnd = getWeekStartAndEnd(0,new Date(choiceData)) 
	//初始首页展示week 
	// var temp =  new Date(currentWeekEnd).format('yyyyMMdd')
	//缓存week
	var weekValTemp = new Date(currentWeekEnd).format('Y-m-d')
	var weekStr = weekValTemp +' '+ getYearWeek(parseInt(arr[0]), parseInt(arr[1]-1), parseInt(arr[2]))
	// alert(JSON.stringify(weekStr))
	return weekStr
}

