// 获取车辆接发预测--预计接卸车次量信息
const JxcclInfoMock = {
    oneVehicle: '31380',                // 0-1h
    threeVehicle: '180',                // 0-3h
    sixVehicle: '190',                  // 0-6h
    twelVehicle: '31380',               // 0-12h
    twentyVehicle: '31680',             // 0-24h
    moreTwentyVehicle: '31980',         // 24h以上           
};
// 获取车辆接发预测--预计发运车量信息
const FyclInfodemandlistMock = [
    {
        routeNo: "2323006001",           // 路向代码code
        routeName: 'TOP1路向(北京-南京)', // 路向名称
        demandnum: '231',                // 总数
        dispatchnum: '201',              // 已派车数
        notInitiateNum: '31',            // 未派车数
    },
    {
        routeNo: "2323006002",           // 路向代码code
        routeName: 'TOP2路向(北京-南京)', // 路向名称
        demandnum: '232',                // 总数
        dispatchnum: '202',              // 已派车数
        notInitiateNum: '32',            // 未派车数
    },
    {
        routeNo: "2323006003",           // 路向代码code
        routeName: 'TOP3路向(北京-南京)', // 路向名称
        demandnum: '233',                // 总数
        dispatchnum: '203',              // 已派车数
        notInitiateNum: '33',            // 未派车数
    },
    {
        routeNo: "2323006004",           // 路向代码code
        routeName: 'TOP4路向(北京-南京)', // 路向名称
        demandnum: '234',                // 总数
        dispatchnum: '204',              // 已派车数
        notInitiateNum: '34',            // 未派车数
    },
    {
        routeNo: "2323006005",           // 路向代码code
        routeName: 'TOP5路向(北京-南京)', // 路向名称
        demandnum: '235',                // 总数
        dispatchnum: '205',              // 已派车数
        notInitiateNum: '35',            // 未派车数
    },
    {
        routeNo: "2323006006",           // 路向代码code
        routeName: 'TOP6路向(北京-南京)', // 路向名称
        demandnum: '236',                // 总数
        dispatchnum: '206',              // 已派车数
        notInitiateNum: '36',            // 未派车数
    },
];
// 获取人员排班计划信息
// let params = {
//     orgCode: '11600071',           // 机构代码
//     dateTime: '2022-09-01',        // 查询日期（T日）
//     code: 'BIC_PROCESS_LINK',      // 后端固定写入
// };
const RyScheduleInfoMock = {
    bicParamValue: [                        // 环节表头列表
            {
                name: '环节1',         // 环节名称
                code: 'linkCodeA',     // 环节代码
            }, 
            {
                name: '环节2',         // 环节名称
                code: 'linkCodeB',     // 环节代码
            },
            {
                name: '环节3',         // 环节名称
                code: 'linkCodeC',     // 环节代码
            },  
    ],
    proScheduling: {
        personCount: '31880',                   // 预测今日
        nextPersonCount: '31680',               // 预测明日
        schedulingGroupList: [                  // 班组列表
            {
                workGroupName: '班组名称A',      // 班组名称
                workGroupCode: 'bzCodeA',       // 班组代码
                schedulingGroupProcessLinkList: [  // 班组--环节排班列表
                    {
                        personCount: '13',                // 人员排班数量
                        processLinkCode: 'linkCodeA',     // 环节代码
                    }, 
                    {
                        personCount: '16',                // 人员排班数量
                        processLinkCode: 'linkCodeB',     // 环节代码
                    },  
                    {
                        personCount: '18',                // 人员排班数量
                        processLinkCode: 'linkCodeC',     // 环节代码
                    }, 
                ]
            },
            {
                workGroupName: '班组名称B',      // 班组名称
                workGroupCode: 'bzCodeB',       // 班组代码
                schedulingGroupProcessLinkList: [  // 班组--环节排班列表
                    {
                        personCount: '23',                // 人员排班数量
                        processLinkCode: 'linkCodeA',     // 环节代码
                    }, 
                    {
                        personCount: '26',                // 人员排班数量
                        processLinkCode: 'linkCodeB',     // 环节代码
                    },  
                    {
                        personCount: '28',                // 人员排班数量
                        processLinkCode: 'linkCodeC',     // 环节代码
                    }, 
                ]
            },
            {
                workGroupName: '班组名称C',      // 班组名称
                workGroupCode: 'bzCodeC',       // 班组代码
                schedulingGroupProcessLinkList: [  // 班组--环节排班列表
                    {
                        personCount: '33',                // 人员排班数量
                        processLinkCode: 'linkCodeA',     // 环节代码
                    }, 
                    {
                        personCount: '36',                // 人员排班数量
                        processLinkCode: 'linkCodeB',     // 环节代码
                    },  
                    {
                        personCount: '38',                // 人员排班数量
                        processLinkCode: 'linkCodeC',     // 环节代码
                    }, 
                ]
            },
        ]
    }
};
