// 获取异常消息列表信息
const YcxxInfoMock = [
    {
        "id":"ycxx111",             // id值            
        "title":"待卸超时",          // 消息标题
        "content":"标题名称标题名称标题名称标题名称标题",   // 消息内容
    },
    {
        "id":"ycxx222",
        "title":"待卸数量异常",         
        "content":"标题名称标题名称标题名称标题名称标题",   
    },
    {
        "id":"ycxx333",
        "title":"待卸超时",         
        "content":"标题名称标题名称标题名称标题名称标题",   
    },
    {
        "id":"ycxx444",
        "title":"待卸数量异常",         
        "content":"标题名称标题名称标题名称标题名称标题",   
    },
    {
        "id":"ycxx555",
        "title":"待卸超时",         
        "content":"标题名称标题名称标题名称标题名称标题",   
    },
    {
        "id":"ycxx666",
        "title":"待卸数量异常",         
        "content":"标题名称标题名称标题名称标题名称标题",   
    }
]
// 获取重点指标基本信息
const ZdzbInfoMock = {
    nbcljslTk: '95',            // 内部处理及时率(特快)
    nbcljslTkMbz: '97',         // 内部处理及时率(特快)-目标值
    nbcljslKb: '93',            // 内部处理及时率(快包)
    nbcljslKbMbz: '92',         // 内部处理及时率(快包)-目标值
    ydbdl: '92',                // 邮袋绑定率
    ydbdlMbz: '95',             // 邮袋绑定率-目标值(接口让前端固定写入)
    yjyjl: '95',                // 已集邮件量
    yjyjlHb: '96',              // 已集邮件量-环比
    wsjxxyjl: '1360',           // 无收寄信息邮件量
    wsjxxyjlZjbl: '+8.9',       // 无收寄信息邮件量-增减比例
    lylyjjbl: '31580',          // 劣一类邮件举报量
    lylyjjblZjbl: '-0.16',      // 劣一类邮件举报量-增减比例
    lelyjjbl: '31680',          // 劣二类邮件举报量
    lelyjjblZjbl: '-0.17',      // 劣二类邮件举报量-增减比例
    lslyjjbl: '31880',          // 劣三类邮件举报量
    lslyjjblZjbl: '-0.18',      // 劣三类邮件举报量-增减比例
    yddss: '180',               // 邮袋丢失数
    yddssZjbl: '-0.16',         // 邮袋丢失数-增减比例
    yxzl: '180',                // 逾限总量
    tkl: '80',                  // 特快量
    kbl: '100',                 // 快包量
};
// 获取生产情况基本信息
const ScqkInfoMock = [
    {
        "personAmount":"2135",          // 合计-人数
        "workAmount":"3750",            // 合计-处理量
        "workEfficiency":"320.1",
        "perWorkEfficiency":"0.15"      // 合计-人均效率
    },
    {
        "stationCode":"9",
        "stationName":"质量检查",        // 环节-类型名称
        "personAmount":"199",           // 环节-人数
        "workAmount":"390",             // 环节-处理量
        "workEfficiency":"29.1",
        "perWorkEfficiency":"0.15"      // 环节-人均效率
    },
    {
        "stationCode": "1",
        "stationName": "卸车",
        "personAmount": "199",
        "workAmount": "390",
        "workEfficiency": "29.1",
        "perWorkEfficiency": "0.15"
    },
    {
        "stationCode": "10",
        "stationName": "问题邮件",
        "personAmount": "193",
        "workAmount": "330",
        "workEfficiency": "29.1",
        "perWorkEfficiency": "0.15"
    },
    {
        "stationCode": "12",
        "stationName": "开拆总包",
        "personAmount": "193",
        "workAmount": "330",
        "workEfficiency": "29.1",
        "perWorkEfficiency": "0.15"
    },
    {
        "stationCode": "3",
        "stationName": "理货与供包",
        "personAmount": "193",
        "workAmount": "330",
        "workEfficiency": "29.1",
        "perWorkEfficiency": "0.15"
    },
    {
        "stationCode": "4",
        "stationName": "人工线分拣",
        "personAmount": "193",
        "workAmount": "330",
        "workEfficiency": "29.1",
        "perWorkEfficiency": "0.15"
    },
    {
        "stationCode": "6",
        "stationName": "小件机格口封发",
        "personAmount": "193",
        "workAmount": "330",
        "workEfficiency": "29.1",
        "perWorkEfficiency": "0.15"
    },
    {
        "stationCode": "7",
        "stationName": "非直连格口处理",
        "personAmount": "193",
        "workAmount": "330",
        "workEfficiency": "29.1",
        "perWorkEfficiency": "0.15"
    },
    {
        "stationCode": "8",
        "stationName": "装车与码放",
        "personAmount": "193",
        "workAmount": "330",
        "workEfficiency": "29.1",
        "perWorkEfficiency": "0.15"
    }
];
// 获取容器库存基本信息
const RqkcInfoMock = [
    {
        roadName: '型号1',            // 型号
        roadFirstCol: '23',           // 库存量
        roadSecondCol: '25',          // 7日封发量
    },
    {
        roadName: '型号2',
        roadFirstCol: '20',
        roadSecondCol: '21',
    }
];

// 获取设备的基本信息
const equipmentInfoMock = [
    {
        sunRate: "92", //设备效能
        sunHb: "0", //设备效能环比 
        srRate: "53", //收容率
        srRateHb: "3", //收容率环比
        runDuration: "7",//开机时长
        runDurationHb: "0", //开机时长环比
        avgRate: "67", //供件效率
        avgRateHb: "2", //供件效率环比
        obrPrec: "83", //Obr识别率
        obrPrecHb: "5", //Obr识别率环比
        effTarget: "5", //效能目标
        sortmachineSname: "1" //设备简称


    }, {
        sunRate: "92", //设备效能
        sunHb: "0", //设备效能环比 
        srRate: "53", //收容率
        srRateHb: "3", //收容率环比
        runDuration: "7",//开机时长
        runDurationHb: "0", //开机时长环比
        avgRate: "67", //供件效率
        avgRateHb: "2", //供件效率环比
        obrPrec: "83", //Obr识别率
        obrPrecHb: "5", //Obr识别率环比
        effTarget: "5", //效能目标
        sortmachineSname: "2" //设备简称
    }
];

// 获取人员到岗情况基本信息
const RydgqkInfoMock = {
    planPersonNum: "220", //计划人数
    personNum: "198", //实际到岗人数
    selfEmpNum: "99", //实际到岗自有人员数
    outEmpNum: "99", //实际到岗外包人员数
    outInRate: "90.0%", //外包人员打卡率
    skilledOutRate: "80.0%" //外包人员熟练工比例
}

// 获取邮件处理基本信息
const YjclInfoMock = {
    arrivalNum: "3304", //到达数
    arrivalNumRate: "310.95", //到达数环比
    handlingNum: "1319", //总处理量
    handlingNumRate: "-52.31", //总处理量环比
    outPartsNum: "1721", //散件外走量
    outPartsNumRate: "-25.01",// 散件外走量环比
    dispatchNum: "1862", //总包封发量
    dispatchNumRate: "-45.33", //总包封发量环比
    sealedInterNum: "1925", //封发内件量
    sealedInterNumRate: "-27.44", //封发内件量环比
    generalContractingNum: "1901", //总包经转量
    generalContractingNumRate: "5.09", //总包经转量环比
}

// 获取车辆接发基本信息
// const CljfInfoMock = {
//         "inFence": "3",//入围栏未入局
//         "unSealNum": "9",//入局待卸数量
//         "sealed": "20",//已卸数量
//         "depart": "46" //已发数量
// }
