// 获取异常告警列表信息
const AlarmMsgListMock = [
    {
        id: 'alarmId111',            // id值
        title: '人员未出场',          // 标题
        content: '报警内容报警内容报警内容报警内容报警内容报警内容。', // 内容
        date: '2022-10-23 16:26:36',                              // 时间
        ydPerson: '张三',            // 阅读人
        jjPerson: '李四',            // 解决人
        resolveState: false,        // 已解决(true)/未解决(false)状态
        readState: false,           // 已读(true)/未读(false)状态
        foldState: true,            // 折叠(true)/展开(false)状态
    },
    {
        id: 'alarmId222',
        title: '人员长期离岗',
        content: '报警内容报警内容报警内容报警内容报警内容报警内容报容报警内容报警内容报内容报警内容报警内容。',
        date: '2022-10-25 13:26:36',
        ydPerson: '张三1',
        jjPerson: '李四1',
        resolveState: false,
        readState: false,
        foldState: true,
    },
    {
        id: 'alarmId333',
        title: '人员固定率异常',
        content: '报警内容报警内容报警内容报警内容报警内容报警内容报警内容报警内容报警内容报警内容报警内容报警内容报警内容报警内容报警内容报警内容。',
        date: '2022-10-26 11:26:36',
        ydPerson: '张三2',
        jjPerson: '李四2',
        resolveState: false,
        readState: false,
        foldState: true,
    }
];
// 获取异常告警-车辆列表信息
const ClAlarmListMock = [
    {
        id: 'alarmId555',
        title: '车辆异常',
        content: '目前区分不出超时异常、数据异常，后续中转提供。',
        time: '2022-10-23',
        ydPerson: '张三55',
        jjPerson: '李四55',
        resolveState: false,
        readState: false,
        foldState: true,
    },
    {
        id: 'alarmId666',
        title: '待卸数量异常',
        content: '报警内容和触发规则与过程管控待卸数量报警规则一致。',
        time: '2022-10-25',
        ydPerson: '张三66',
        jjPerson: '李四66',
        resolveState: false,
        readState: false,
        foldState: true,
    },
    {
        id: 'alarmId777',
        title: '待卸超时',
        content: '报警内容和触发规则与过程管控待卸超时报警规则一致。',
        time: '2022-10-26',
        ydPerson: '张三77',
        jjPerson: '李四77',
        resolveState: false,
        readState: false,
        foldState: true,
    }
];
// 获取异常告警-垛口列表信息
const DkAlarmListMock = [
    {
        id: 'alarmId888',
        title: '垛口异常',
        content: '异常推送发起方确认推送处理逻辑及推送人员推送通道复用数字看板到APP消息推送的通道（通过发送MQ消息到数字看板的形式）。',
        time: '2022-10-23',
        ydPerson: '张三88',
        jjPerson: '李四88',
        resolveState: false,
        readState: false,
        foldState: true,
    },
    {
        id: 'alarmId999',
        title: '垛口长期占用',
        content: '展示垛口号、占用时长、占用车辆的车牌号，触发规则为占用时间大于(带运量/过去一周平均卸车效率)*120%。',
        time: '2022-10-25',
        ydPerson: '张三99',
        jjPerson: '李四99',
        resolveState: false,
        readState: false,
        foldState: true,
    },
    {
        id: 'alarmIdmmn',
        title: '垛口长期空闲',
        content: '长期空闲垛口号、空闲时长，触发规则为：场内待卸车数量大于1且垛口空闲超30min。',
        time: '2022-10-26',
        ydPerson: '张三mn',
        jjPerson: '李四mn',
        resolveState: false,
        readState: false,
        foldState: true,
    }
];
// 获取人员异常基本信息
const RyycInfoMock = [{
    name: "张三1",
    OutSourcedCompany: "揽投员",
    StationArea: "外包公司"
},
{
    name: "张三2",
    OutSourcedCompany: "揽投员",
    StationArea: "外包公司"
},
{
    name: "张三3",
    OutSourcedCompany: "揽投员",
    StationArea: "外包公司"
},
{
    name: "张三4",
    OutSourcedCompany: "揽投员",
    StationArea: "外包公司"
}
    , {
    name: "张三5",
    OutSourcedCompany: "揽投员",
    StationArea: "外包公司"
},
{
    name: "张三6",
    OutSourcedCompany: "揽投员",
    StationArea: "外包公司"
},
{
    name: "张三7",
    OutSourcedCompany: "揽投员",
    StationArea: "外包公司"
},
{
    name: "张三8",
    OutSourcedCompany: "揽投员",
    StationArea: "外包公司"
},
{
    name: "张三9",
    OutSourcedCompany: "揽投员",
    StationArea: "外包公司"
}, {
    name: "张三10",
    OutSourcedCompany: "揽投员",
    StationArea: "外包公司"
}
];

// 获取车辆异常基本信息
const ClycInfoMock = [
    {
        "content": "2022-09-22 10:16:07，西安邮件处理中心(71000071)待卸车辆6台，其中超4小时待卸0台,超8小时待卸0台，超12小时待卸0台，超24小时待卸6台。（最早2021-04-22 11:14:47入局/入围栏，长沙-西安(湘临1)晋AC1335）。请关注！",
        "alarmTime": "2022-09-22 11:06:49",
        "title": "标题一"
    },
    {
        "content": "2022-09-22 10:16:07，西安邮件处理中心(71000071)待卸车辆6台，其中超4小时待卸0台,超8小时待卸0台，超12小时待卸0台，超24小时待卸6台。（最早2021-04-22 11:14:47入局/入围栏，长沙-西安(湘临1)晋AC1335）。请关注！",
        "alarmTime": "2022-09-22 11:06:49",
        "title": "标题一"
    },
    {
        "content": "2022-09-22 10:16:07，西安邮件处理中心(71000071)待卸车辆6台，其中超4小时待卸0台,超8小时待卸0台，超12小时待卸0台，超24小时待卸6台。（最早2021-04-22 11:14:47入局/入围栏，长沙-西安(湘临1)晋AC1335）。请关注！",
        "alarmTime": "2022-09-22 11:06:49",
        "title": "标题一"
    },
    {
        "content": "2022-09-22 10:16:07，西安邮件处理中心(71000071)待卸车辆6台，其中超4小时待卸0台,超8小时待卸0台，超12小时待卸0台，超24小时待卸6台。（最早2021-04-22 11:14:47入局/入围栏，长沙-西安(湘临1)晋AC1335）。请关注！",
        "alarmTime": "2022-09-22 11:06:49",
        "title": "标题一"
    },
    {
        "content": "2022-09-22 10:16:07，西安邮件处理中心(71000071)待卸车辆6台，其中超4小时待卸0台,超8小时待卸0台，超12小时待卸0台，超24小时待卸6台。（最早2021-04-22 11:14:47入局/入围栏，长沙-西安(湘临1)晋AC1335）。请关注！",
        "alarmTime": "2022-09-22 11:06:49",
        "title": "标题一"
    },
    {
        "content": "2022-09-22 10:16:07，西安邮件处理中心(71000071)待卸车辆6台，其中超4小时待卸0台,超8小时待卸0台，超12小时待卸0台，超24小时待卸6台。（最早2021-04-22 11:14:47入局/入围栏，长沙-西安(湘临1)晋AC1335）。请关注！",
        "alarmTime": "2022-09-22 11:06:49",
        "title": "标题一"
    }
];

