	
	var SENDID = "00000001";                 // 发送方ID
	var KEY = "83d7b121e335";                // 签名码key
	// 存放本地存储信息
	function saveString(name, key, value) {
		var pref = new $M.Preferences();     // 本地持久化存储工具
		pref.open(name);                     // 全局方法：打开偏好设置配置文件, name: String类型，配置文件名称
		pref.put(key, value);                // 设置偏好内容, key: String类型, value: 任意类型
	}
	// 获取本地存储信息
	function getString(name, key) {
		var pref = new $M.Preferences();     // 本地持久化存储工具
		pref.open(name);                     // 全局方法：打开偏好设置配置文件, name: String类型，配置文件名称
		return pref.get(key);                // 获取偏好内容, key: String类型
	}
	// 接口连接  
	var requestM = {
		post : function(url, param, successFn, failureFn) {
			if (!Utils.isNetworkAvailable()) {
				failureFn("网络不可用，请检查网络设置");
			} else {
				var ajax = new $M.Ajax();
				ajax.setAction(url);
				ajax.setTimeout(15);
				var strLog = "";
				strLog = url + "?";
				for ( var key in param) {
					ajax.add(key, param[key]);
					log(key + "," + param[key]);
					strLog += key + "=" + param[key] + "&";
				}
				log("请求接口： " + encodeURI(strLog));
				ajax.submit(function(result) {
					successFn(result);
				}, function(error) {
					failureFn(error);
				});
			}
		},
        get: function (url, param, successFn, failureFn) {
            if (!Utils.isNetworkAvailable()) {
                failureFn("网络不可用，请检查网络设置");
            } else {
                var ajax = new $M.Ajax();
                ajax.setTimeout(15);
                var strLog = "";
                strLog = url + "?";
                for (var key in param) {
                    log(key + "," + param[key]);
                    strLog += key + "=" + param[key] + "&";
                }
                ajax.setAction(encodeURI(strLog.substring(0, strLog.length - 1)));
                ajax.submit(function (result) {
                    successFn(result);
                }, function (error) {
                    failureFn(error);
                });
            }
        }
	}
	// 接口连接版本更新 
	var requestMB = {
		post : function(url, param, successFn, failureFn) {
			if (!Utils.isNetworkAvailable()) {
				failureFn("网络不可用，请检查网络设置");
			} else {
				var ajax = new $M.Ajax();
				ajax.addHeader('portalID',param.id);
				ajax.setPostData(param.apps);
				ajax.setAction(url+"?deviceType="+param.deviceType);
				ajax.setTimeout(15);
				ajax.submit(function(result) {
					successFn(result);
				}, function(error) {
					failureFn(error);
				});
			}
		}
	}
	// 生成接口请求数字签名码
	function createKey(param, time) {
		var str = "";
		str = Utils.jsonToString(param) + KEY + time;
		var dataDigest = Utils.base64Encode(Utils.md5(str));
		dataDigest = dataDigest.replace("\n", "");
		return dataDigest;
	}
	// 获取当前时间 
	function getTime() {
		var myDate = new Date();
		var year = myDate.getFullYear().toString();
		var month = (myDate.getMonth() + 1) < 10 ? "0"
				+ (myDate.getMonth() + 1).toString() : (myDate.getMonth() + 1).toString();
		var day = myDate.getDate() < 10 ? "0" + myDate.getDate().toString()
				: myDate.getDate().toString();
		var hour = myDate.getHours() < 10 ? "0" + myDate.getHours().toString()
				: myDate.getHours().toString();
		var minutes = myDate.getMinutes() < 10 ? "0"
				+ myDate.getMinutes().toString() : myDate.getMinutes().toString();
		var seconds = myDate.getSeconds() < 10 ? "0"
				+ myDate.getSeconds().toString() : myDate.getSeconds().toString();
		return year + "-" + month + "-" + day + " " + hour + ":" + minutes
				+ ":" + seconds;
	}
	// 创建文件夹
	function createDir() {
		var file = new $M.File(FILEPATH);
		if (!file.exists()) {
			file.mkdir();
		}
	}
	// 重新初始化日历
	function clear() {
		Emp.contextData.setValue("position1", "");
		Emp.contextData.setValue("start", "");
		Emp.contextData.setValue("indexDate", "");
		Emp.contextData.setValue("datestart", "");
		Emp.contextData.setValue("cutoff", "");
		Emp.contextData.setValue("starts", "");
		Emp.contextData.setValue("weekdate", "");
		Emp.contextData.setValue("weekindex", "");
		Emp.contextData.setValue("date", "");
		Emp.contextData.setValue("index", "");
		Emp.contextData.setValue("dateover", "");
		Emp.contextData.setValue("monthindex", "");
		Emp.contextData.setValue("month", "");
		Emp.contextData.setValue("startmonthindex", "");
		Emp.contextData.setValue("startmonth", "");
		Emp.contextData.setValue("endmonthindex", "");
		Emp.contextData.setValue("endmonth", "");
		saveString('savedate', 'savedate', '');
		saveString('savedate', 'savedate2', '');
	}
	// 上报点击量数据(调取接口，上报周期间隔超过24小时或者navi页2次返回退出登录时调用)
	function uploadClickCounts(){
		var phoneNumber = getString("ManageData", "phone");
		var dataList = getString(phoneNumber, "tjdata"); 
		if (!dataList || dataList.length == 0) {       // 统计对象数组数据为空或不存在（初始时）, 此时不调取接口上报
			return;
		}
		var nowTime = new Date().getTime();
		var time = getTime();
		var item = new Object();
		item.phone = phoneNumber;                         // 手机号
		item.list = getString(phoneNumber, "tjdata");     // 统计对象数组
		requestM.post(URL_YWLTJ_UPLOAD, {
			"sendID" : SENDID,
			"timestamp" : time,
			"msgBody" : Utils.jsonToString(item),
			"dataDigest" : createKey(item, time)
		}, function(result) {
			var result = Utils.stringToJson(result);
			if (result.resCode == "A00001" && result.msg == "success") {
				saveString(phoneNumber, "uploadTime", nowTime);      // 埋点统计数据接口上报时间
				cleanClickCounts();                                  // 埋点点击统计数据清空
			}
		}, function(error) { });
	}
	// 清除用户信息功能
	function cleanManageMsg(){
		// 手机号
		saveString("ManageData", "phone", '');      
		// 自动登录标识                   
		saveString("ManageData", "autologinbyphone", '');
		// 登录方式：1:手机, 0: 员工号登录(不使用)
		saveString("ManageData", "loginType", 1);     
		// 登录时间            
		saveString("ManageData", "loginTime", '');  
		// 是否登录标识
		saveString("ManageData", "islogin", "false");
		// 是否在线
		saveString("ManageData", "online", '');
		Emp.contextData.setValue("online", "false");
		// 员工ID
		saveString("ManageData", "person_id", '');
		// 员工号
		saveString("ManageData", "person_no", '');
		// 员工姓名
		saveString("ManageData", "person_name", '');
		// 职工ID
		saveString("ManageData", "employee_id", '');
		// 原有机构编码
		saveString("ManageData", "origan_org_no", '');
		// 原有机构名称
		saveString("ManageData", "origan_org_name", '');
		// 原有原有机构简称
		saveString("ManageData", "origan_simple_name_cn", '');
		// 当前选择机构编码
		saveString("ManageData", "org_no", '');
		// 当前选择机构名称
		saveString("ManageData", "org_name", '');
		// 当前选择当前选择机构简称
		saveString("ManageData", "simple_name_cn", '');
		// 机构等级
		saveString("ManageData", "org_level", ''); 
	}
	// 检测是生产环境还是UAT环境
	function checkenv() {
		if (URL.split('.')[3].replace('/', '') == 59) {
			return '';
		} else {
			return '_uat';
		}
	}
	// App闪屏功能部分
	var timeOnBack = null;
	var timeOnForce;
	// 程序切到后台
	$M.page.addEvent("onBackground", function() {
		// 程序切到后台时间
		if (timeOnBack == null) {
			timeOnBack = getTime().replace(/\-/g, "/");
		} else {
			timeOnBack = timeOnBack;
		}
	});
	// 程序从后台进入前台
	$M.page.addEvent("onForceground", function() {
		log('程序从后台进入前台时间: ' + getTime());
		// 程序从后台进入前台时间
		timeOnForce = getTime().replace(/\-/g, "/");
		timeOnBack = new Date(timeOnBack);
		timeOnForce = new Date(timeOnForce);
		if ((timeOnForce - timeOnBack) >= 1800000) {
			$M.page.goTo("/welcome.html", null, true);
			timeOnBack = null;
		}
	});
	// 处理连点延迟工具方法
	Emp.Delay = { 
		start : function(time) {
			if (time == null) {
				toast("无延迟");
				return;
			}
			Emp.openUIEventDelay(time);
		},
		cancel : function() {
			Emp.closeUIEventDelay();
		}
	}
	Emp.ListViewDelay = {
		start : function(listview, time) {
			if (listview == null) {
				toast('无控件');
				return;
			}
			if (!time) {
				toast("无延迟")
				return;
			}
			if (Emp.isAndroid) {  
				listview.setMintime(time);
			}
		},
		cancel : function() {
			if (Emp.isAndroid()) {
				listview.setMintime("0");
			}
		}
	}
	
	Array.prototype.indexOf = function(val) { 
		for (var i = 0; i < this.length; i++) { 
			if (this[i] == val) return i; 
		} 
		return -1; 
	};
	Array.prototype.remove = function(val) { 
		var index = this.indexOf(val); 
		if (index > -1) { 
			this.splice(index, 1); 
		} 
	};

	var count;                                          // 埋点元素点击次数
	var cyitem = {};                                    // 埋点元素对象信息
	var phoneNum = getString("ManageData", "phone");    // 当前登录用户的手机号码: 通过手机号绑定上报的用户信息
	// 埋点-点击量数据统计, id: 埋点元素id编号值，最终上报接口存储, title: 埋点元素对应的name值
	function getStatistics(id,title){
		var time = new Date().format("yyyy-MM-dd");
		var timeStamp = new Date().format("yyyy-MM-dd hh:mm:ss");
		saveString(phoneNum,title,time);
		if(!getString(phoneNum,id)){                  // phoneNum对象下的id值, 即点击次数不存在，初始点击
		    count = 1;
			saveString(phoneNum,id,count);
		}else{                                        // 当前埋点元素已点击，点击次数累计
			count = getString(phoneNum,id)+1;
			saveString(phoneNum,id,count);
		}
		cyitem.modularNumber = id;                    // 埋点元素id编号值
		cyitem.modularClicks = count;                 // 埋点元素点击次数
		cyitem.reserved_1 = timeStamp;                // 埋点元素最新一次点击的时间
		if(!getString(phoneNum,"tjdata")){            // 统计对象数据不存在，初始时为空
			var cylist = new Array();
			cylist.push(cyitem);
			saveString(phoneNum,"tjdata",cylist);
		}else{
			var cyArray = getString(phoneNum,"tjdata");
			var number = 0;
			for(var i=0;i<cyArray.length;i++){
				if(id == cyArray[i].modularNumber){   // 当前埋点对象存在，即此次上报周期内已被点击过
					cyArray[i].modularClicks = count; // 仅变更对应的点击数
					cyArray[i].reserved_1 = timeStamp;
					number++;
					break;
				}
			}
			if(number == 0){                          // 当前埋点对象不存在，即此次上报周期内未被点击过
				cyArray.push(cyitem);
			}
			saveString(phoneNum,"tjdata",cyArray);    // 更新统计对象数据
		}	
	}
	// 埋点点击统计数据清空(数据上报完成后，清空统计数据，重新下一轮统计)
	function cleanClickCounts(){
		var cyArray = getString(phoneNum,"tjdata");
		for(var i = 0; i < cyArray.length; i++){
			saveString(phoneNum, cyArray[i].modularNumber, 0);     // phoneNum对象下的id值, 赋值count重置为0
		}
		cyArray = new Array();                                     // tjdata: 统计对象数组重置为空
		saveString(phoneNum,"tjdata",cyArray);
	}

     Emp.page.render();