// 获取处理情况基本信息
const ClqkInfoMock = {
    premeterTotal: '33681380',           // 预计处理总量
    DailyVolumeTotal: '31380',           // 当日处理总量
    spareParts: '31680',                 // 散件外走量
    totalSealingQuantity: '31380',       // 总包封发量
    internals: '31680',                  // 封发内件量
    totalWarp: '31380',                  // 总包经转量
    pending: '33680580',                 // 待处理量
    remainingDuration: '12.5',           // 剩余处理时长
    amountList: [
        {
            frequency: '08:00',          // 时间频率
            timeSlotAmount: '76',        // 分时段数量  
        },
        {
            frequency: '09:00',          // 时间频率
            timeSlotAmount: '56',        // 分时段数量  
        },
        {
            frequency: '10:00',          // 时间频率
            timeSlotAmount: '70',        // 分时段数量  
        },
        {
            frequency: '11:00',          // 时间频率
            timeSlotAmount: '58',        // 分时段数量  
        },
        {
            frequency: '12:00',          // 时间频率
            timeSlotAmount: '60',        // 分时段数量  
        },
        {
            frequency: '13:00',          // 时间频率
            timeSlotAmount: '66',        // 分时段数量  
        }
    ]
};
// 获取设备选择项列表
const EquipmentOptionMock = [
    { sortmachineName: '全部', sortmachineBarcode: '1', sortmachineId: '111'},
    { sortmachineName: '设备一', sortmachineBarcode: '2', sortmachineId: '222'},
    { sortmachineName: '设备二', sortmachineBarcode: '3', sortmachineId: '333'}
];
// 获取设备信息
const EquipmentInfoMock = {
    scan: [
        {
            scanNum: '31680',                        // 处理量
            averageNum: '180',                       // 平均效率（供件效率）
            nearlyHourNum: '190',                    // 近1小时效率
            obrScanNum: '31380',                     // obr识读
            houseNum: '31680',                       // 收容量
            houseRate: '31380',                      // 收容率
        }
    ],
    hour: [
        {
            period: '08:00',          // 时间段
            scanNum: '76',        // 处理量  
        },
        {
            period: '09:00',          // 时间段
            scanNum: '56',        // 处理量  
        },
        {
            period: '10:00',          // 时间段
            scanNum: '70',        // 处理量  
        },
        {
            period: '11:00',          // 时间段
            scanNum: '58',        // 处理量  
        },
        {
            period: '12:00',          // 时间段
            scanNum: '60',        // 处理量  
        },
        {
            period: '13:00',          // 时间段
            scanNum: '66',        // 处理量  
        }
    ]
}; 
// 获取设备趋势图信息
const EquipmentEchartDataMock = {
    yesterdayItemCount: [
        {
            hourTime: '00:00',          // 时间段
            passItemCount: '76',        // 处理量  
        },
        {
            hourTime: '01:00',          // 时间段
            passItemCount: '56',        // 处理量  
        },
        {
            hourTime: '02:00',          // 时间段
            passItemCount: '70',        // 处理量  
        },
        {
            hourTime: '03:00',          // 时间段
            passItemCount: '58',        // 处理量  
        },
        {
            hourTime: '04:00',          // 时间段
            passItemCount: '60',        // 处理量  
        },
        {
            hourTime: '05:00',          // 时间段
            passItemCount: '66',        // 处理量  
        },
        {
            hourTime: '06:00',          // 时间段
            passItemCount: '60',        // 处理量  
        },
        {
            hourTime: '07:00',          // 时间段
            passItemCount: '66',        // 处理量  
        },
        {
            hourTime: '08:00',          // 时间段
            passItemCount: '76',        // 处理量  
        },
        {
            hourTime: '09:00',          // 时间段
            passItemCount: '56',        // 处理量  
        },
        {
            hourTime: '10:00',          // 时间段
            passItemCount: '70',        // 处理量  
        },
        {
            hourTime: '11:00',          // 时间段
            passItemCount: '58',        // 处理量  
        },
        {
            hourTime: '12:00',          // 时间段
            passItemCount: '60',        // 处理量  
        },
        {
            hourTime: '13:00',          // 时间段
            passItemCount: '66',        // 处理量  
        },
        {
            hourTime: '14:00',          // 时间段
            passItemCount: '56',        // 处理量  
        },
        {
            hourTime: '15:00',          // 时间段
            passItemCount: '70',        // 处理量  
        },
        {
            hourTime: '16:00',          // 时间段
            passItemCount: '58',        // 处理量  
        },
        {
            hourTime: '17:00',          // 时间段
            passItemCount: '60',        // 处理量  
        },
        {
            hourTime: '18:00',          // 时间段
            passItemCount: '66',        // 处理量  
        },
        {
            hourTime: '19:00',          // 时间段
            passItemCount: '56',        // 处理量  
        },
        {
            hourTime: '20:00',          // 时间段
            passItemCount: '70',        // 处理量  
        },
        {
            hourTime: '21:00',          // 时间段
            passItemCount: '58',        // 处理量  
        },
        {
            hourTime: '22:00',          // 时间段
            passItemCount: '60',        // 处理量  
        },
        {
            hourTime: '23:00',          // 时间段
            passItemCount: '66',        // 处理量  
        }
    ],
    todayItemCount: [
        {
            hourTime: '00:00',          // 时间段
            passItemCount: '66',        // 处理量  
        },
        {
            hourTime: '01:00',          // 时间段
            passItemCount: '68',        // 处理量  
        },
        {
            hourTime: '02:00',          // 时间段
            passItemCount: '59',        // 处理量  
        },
        {
            hourTime: '03:00',          // 时间段
            passItemCount: '73',        // 处理量  
        },
        {
            hourTime: '04:00',          // 时间段
            passItemCount: '36',        // 处理量  
        },
        {
            hourTime: '05:00',          // 时间段
            passItemCount: '69',        // 处理量  
        },
        {
            hourTime: '06:00',          // 时间段
            passItemCount: '60',        // 处理量  
        },
        {
            hourTime: '07:00',          // 时间段
            passItemCount: '86',        // 处理量  
        },
        {
            hourTime: '08:00',          // 时间段
            passItemCount: '96',       // 处理量  
        },
        {
            hourTime: '09:00',          // 时间段
            passItemCount: '66',       // 处理量  
        },
        {
            hourTime: '10:00',          // 时间段
            passItemCount: '55',       // 处理量  
        },
        {
            hourTime: '11:00',          // 时间段
            passItemCount: '38',       // 处理量  
        },
        {
            hourTime: '12:00',          // 时间段
            passItemCount: '46',       // 处理量  
        }
    ]
};
// 获取人员监控--车间选择项列表
const WorkshopOptionMock = [
    { name: '车间一', code: 'cj1' }, 
    { name: '车间二', code: 'cj2' },
    { name: '车间三', code: 'cj3' },
    { name: '车间四', code: 'cj4' },
    { name: '车间五', code: 'cj5' },
    { name: '车间六', code: 'cj6' }
];
// 获取人员监控--班组选择项列表
const TeamBzOptionMock = [
    { workgroupName: '班组A', workgroupCode: 'bz1' }, 
    { workgroupName: '班组B', workgroupCode: 'bz2' },
    { workgroupName: '班组C', workgroupCode: 'bz3' },
    { workgroupName: '班组D', workgroupCode: 'bz4' },
    { workgroupName: '班组E', workgroupCode: 'bz5' },
    { workgroupName: '班组F', workgroupCode: 'bz6' }
];
// 获取人员监控--工位选择项列表
const JobsOptionMock = [
    { seatName: '工位1', seatId: 'gw1' }, 
    { seatName: '工位2', seatId: 'gw2' },
    { seatName: '工位3', seatId: 'gw3' },
    { seatName: '工位4', seatId: 'gw4' },
    { seatName: '工位5', seatId: 'gw5' },
    { seatName: '工位6', seatId: 'gw6' }
];
// 获取人员监控--外包公司选择项列表
const EpibolyOptionMock = [
    { companyName: '外包公司a', companyId: 'wbgs1' }, 
    { companyName: '外包公司b', companyId: 'wbgs2' },
    { companyName: '外包公司c', companyId: 'wbgs3' },
    { companyName: '外包公司d', companyId: 'wbgs4' },
    { companyName: '外包公司e', companyId: 'wbgs5' },
    { companyName: '外包公司f', companyId: 'wbgs6' }
];
// 人员监控--车间/岗位/外包公司信息
const RyjkInfoMock = {
    planNum: '31380',                 // 计划人数
    attendance: '26330',              // 到场人数
    signRate: '31',                   // 签到(打卡)率
    fixedRate: '36',                  // 固定率
    workEfficiency: '86.8',           // 岗位效率
};
// 获取场地监控信息
const SiteInfoMock = {
    crenelNumber: '31380',            // 垛口数
    leisureNumber: '31380',           // 空闲数
    occupyNumber: '31680',            // 占用数
    loadNumber: '31380',              // 装车数
    unloadNumber: '31680',            // 卸车数
    loadQueueNumber: '31380',         // 装车排队数
    unloadQueueNumber: '31680',       // 卸车排队数
};
// 获取场地监控-待卸车-垛口列表信息
const SiteWaitDkMock = {
    total: 3,
    data: [
        {
            crenelNo: '垛口AA33',
        }, 
        {
            crenelNo: '垛口AA22',
        }, 
        {
            crenelNo: '垛口AA11',
        }
    ]
};
// 获取场地监控-待卸车-垛口下钻-车辆列表信息
const SiteWaitDkclMock = {
    total: 2,
    data: [
        {
            crenelNo: '垛口AA33',
            routeName: '南宁-石家庄(石1)',
            vehicleNo: '京AKT866',
            waitUpDownFlag: '1',
            truckingNo: '派车单号111',
            signInTime: '2022-11-08 13:26:30',
        }, 
        {
            crenelNo: '垛口AA33',
            routeName: '石家庄-南宁(石2)',
            vehicleNo: '京AKT877',
            waitUpDownFlag: '12',
            truckingNo: '派车单号222',
            signInTime: '2022-11-08 13:36:30',
        },
    ]
};
// 获取车辆监控信息
const VehicleInfoMock = [
    {
        name: '在途车数',               // 在途车数（未进局数）
        value: '31380',                // 数值
    },
    {
        name: '已卸车数',               // 已卸车数（已解车数）
        value: '31680',                // 数值
    },
    {
        name: '待卸车数',               // 待卸车数（未接车数）
        value: '31380',                // 数值
    },
    {
        name: '装发车数',               // 装发车数（已封车数）
        value: '0',                    // 数值
    }
];
// 处理车辆table列表数据信息
const clTableDataMock = [
    {
        vehicleNo: '京AKT861',
        roudeName: '南宁-石家庄(石1)',
        arrivalTimeScheduled: '2022-09-13 14:32:38'
    }, 
    {
        vehicleNo: '京AKT862',
        roudeName: '南宫-石家庄(邢临1)',
        arrivalTimeScheduled: '2022-09-13 14:32:38'
    }, 
    {
        vehicleNo: '京AKT863',
        roudeName: '扬州-石家庄(苏临1)',
        arrivalTimeScheduled: '2022-09-13 14:32:38'
    }
];
// 获取车辆列表--下钻车辆详情信息
const ClDetailDataMock = {
    provinceNameLaunch: '江苏省',
    orgNameLaunch: '徐州邮区',
    roudeName: '徐州-石家庄(苏1)',
    roudeCode: '1322100135',
    billNo: '098922001',
    truckingNo: 'W596387563',
    vehicleNo: '京ATC861',
    tonnage: '31',
    gpsno: '13636895761',
    driverName: '张三',
    driverPhone: '16987563589',
    sealOrg: '徐州出口(22100067)',
    unsealOrg: '石家中心(50100067)',
    departTimeScheduled: '2022-09-11 06：00：00',
    dealTime: '2022-09-11 05：26：30',
    outGpsTime: '2022-09-11 05：26：30',
    arrivalTimeScheduled: '2022-09-11 05：26：30',
    arrivalTimeEstimated: '2022-09-11 05：26：30',
    inGpsTime: '2022-09-11 05：26：30',
    scanTime: '2022-09-11 05：26：30',
    undealTime: '2022-09-11 05：26：30',
    unsealOverTime: '2022-09-11 05：26：30',
    unsealDuration: '2022-09-11 05：26：30',
    delayDuration: '-3时3分',
    planRunDuration: '11时30分',
    actualRunDuration: '8时31分',
    planMileage: '730',
    gpsMileage: '',
    departEvaluation: '早发',
    equipmentType: '',
    gmtModified: '2022-09-11 13：30：26',
};